org.apache.tools.ant

## Class ExtensionPoint

- java.lang.Object
- - org.apache.tools.ant.Target
  - - org.apache.tools.ant.ExtensionPoint

- All Implemented Interfaces:
    TaskContainer

      public class ExtensionPoint
      extends Target

  An extension point build files can provide as a place where other build files can add new dependencies.
  Since:
    Ant 1.8.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtensionPoint()`
    `ExtensionPoint(Target other)` Cloning constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDataType(RuntimeConfigurable r)` Throws an exception.
    `void` | `addTask(Task task)` Throws an exception.

    - ### Methods inherited from class org.apache.tools.ant.Target

      `addDependency, dependsOn, execute, getDependencies, getDescription, getIf, getLocation, getName, getProject, getTasks, getUnless, parseDepends, performTasks, setDepends, setDescription, setIf, setIf, setLocation, setName, setProject, setUnless, setUnless, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtensionPoint

          public ExtensionPoint()

    - #### ExtensionPoint

          public ExtensionPoint(Target other)

      Cloning constructor.
      Parameters:
        `other` - the Target to clone.

  - ### Method Detail

    - #### addTask

          public final void addTask(Task task)

      Throws an exception.
      Specified by:
        `addTask` in interface `TaskContainer`
      Overrides:
        `addTask` in class `Target`
      Parameters:
        `task` - The task to be added. Must not be `null`.

    - #### addDataType

          public final void addDataType(RuntimeConfigurable r)

      Throws an exception.
      Overrides:
        `addDataType` in class `Target`
      Parameters:
        `r` - The wrapper for the data type element to be added. Must not be `null`.